xcb_shm_create_pixmap(3)

NAME
xcb_shm_create_pixmap - Create a pixmap backed by shared memory.

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_void_cookie_t xcb_shm_create_pixmap(xcb_connection_t *conn, xcb_pixmap_t pid, xcb_drawable_t drawable, uint16_t width, uint16_t height, uint8_t depth, xcb_shm_seg_t shmseg, uint32_t offset);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

pid A pixmap ID created with xcb_generate_id().

drawable
    The drawable to create the pixmap in.

width
    The width of the pixmap to create. Must be nonzero, or a Value error results.

height
    The height of the pixmap to create. Must be nonzero, or a Value error results.

depth
    The depth of the pixmap to create. Must be nonzero, or a Value error results.

shmseg
    The shared memory segment to use to create the pixmap.

offset
    The offset in the segment to create the pixmap at.

DESCRIPTION
Create a pixmap backed by shared memory. Writes to the shared memory will be reflected in the contents of the pixmap, and writes to the pixmap will be reflected in the contents of the shared memory.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shm_create_pixmap_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.